
=head1 NAME

Win32::GUI::Menu - Create and manipulate menu resources

=head1 DESCRIPTION

[TBD]

=for comment $Id: per_package_method_section.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head1 METHODS

L<Common methods|Win32::GUI::Reference::Methods> apply to most windows, controls and resources.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 new

B<new(...)>

[TBD]

See also the L<common options|Win32::GUI::Reference::Options>.

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 AddMenuButton

B<AddMenuButton()>

See L<new Win32::GUI::MenuButton()|Win32::GUI::MenuButton/new>

=for comment $Id: per_package_method.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 RemoveMenu

B<RemoveMenu(position, [flags=MF_BYPOSITION])>

The RemoveMenu function deletes a menu item or detaches a submenu from the
specified menu. If the menu item opens a drop-down menu or submenu, RemoveMenu
does not destroy the menu or its handle, allowing the menu to be reused

position specifies the menu item to be removed, as determined by the flags field.

flags specifies how the position field is interpreted, and can take one of the
following values:

  MF_BYCOMMAND  (0x0000): Indicates that position gives the identifier of the menu item
  MF_BYPOSITION (0x0400): Indicates that position gives the zero-based relative position of the menu item.

If flags is not supplied, then MF_BYPOSITION is used as the default




=for comment $Id: per_package_event_section.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head1 EVENTS

L<Common events|Win32::GUI::Reference::Events> apply to most windows and controls.

=for comment $Id: per_package_event.tpl,v 1.3 2006/03/16 21:11:13 robertemay Exp $

=head2 Click

B<Click()>

Sent when the users choose a menu point.





=for comment $Id: pod_postamble.tpl,v 1.2 2005/08/03 21:45:59 robertemay Exp $

=head1 VERSION

Documentation for Win32::GUI v1.12 created 20 Jan 2016

This document is autogenerated by the build process. Edits made here will be lost.
Edit F<docs/per_package.tpl> instead.

=head1 SUPPORT

Homepage: L<http://perl-win32-gui.sourceforge.net/>.

For further support join the users mailing list from the website
at L<http://lists.sourceforge.net/lists/listinfo/perl-win32-gui-users>.  There is a searchable list archive at L<http://sourceforge.net/p/perl-win32-gui/mailman/perl-win32-gui-users/>.

=head1 COPYRIGHT and LICENCE

Copyright (c) 1997..2016 Aldo Calpini. All rights reserved.

This program is free software; you can redistribute it and/or
modify it under the same terms as Perl itself.


